Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.template
Class DefaultAttributeResolver

    java.lang.Object
      org.apache.tiles.template.DefaultAttributeResolver

All Implemented Interfaces:
  AttributeResolver

    public class DefaultAttributeResolver

extends java.lang.Object
implements AttributeResolver

The default implementation of AttributeResolver.

Since:
  2.2.0
Version:
  $Rev: 788032 $ $Date: 2009-06-24 16:08:32 +0200 (mer, 24 giu 2009) $

Constructor Summary
`DefaultAttributeResolver()`

Method Summary
`Attribute` | `computeAttribute(TilesContainer container, Attribute attribute, java.lang.String name, java.lang.String role, boolean ignore, java.lang.Object defaultValue, java.lang.String defaultValueRole, java.lang.String defaultValueType, java.lang.Object... requestItems)` Computes the attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAttributeResolver

    public DefaultAttributeResolver()

Method Detail

### computeAttribute

    public Attribute computeAttribute(TilesContainer container,
                                      Attribute attribute,
                                      java.lang.String name,
                                      java.lang.String role,
                                      boolean ignore,
                                      java.lang.Object defaultValue,
                                      java.lang.String defaultValueRole,
                                      java.lang.String defaultValueType,
                                      java.lang.Object... requestItems)

  Computes the attribute.

  Specified by:
    `computeAttribute` in interface `AttributeResolver`
  Parameters:
    `container` - The Tiles container to use.
    `attribute` - The attribute to return immediately, if not null.
    `name` - The name of the attribute.
    `role` - A comma-separated list of roles. If present, the attribute will be rendered only if the current user belongs to one of the roles.
    `ignore` - If `true` if the computed attribute is null, this problem will be ignored.
    `defaultValue` - The default value of the attribute. To use only if the attribute was not computed.
    `defaultValueRole` - The default comma-separated list of roles. To use only if the attribute was not computed.
    `defaultValueType` - The default type of the attribute. To use only if the attribute was not computed.
    `requestItems` - The request objects.
  Returns:
    The computed attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.